import con from '../db/connect.js';
let lastCounter;

export default async(size, arcId) => {
    if (lastCounter == size) return;
    console.logger.info(`COUNTER: SIZE:${size} ARC_ID:${arcId}`);
    await con.query(`
        UPDATE vn.arcRead
            SET counter = ?,
                error = NULL
            WHERE id = ?;
    `, [size, arcId]);

    lastCounter = size;
};
