import con from '../db/connect.js';
import counter from './counter.js';
import t from '../util/translator.js';

export default async(rfids, arcId) => {
    try {
        console.log(Array.from(rfids));
        await con.query(`CALL vn.expeditionPallet_build(JSON_ARRAY(?), ?, ?, @palletId);`, [Array.from(rfids), arcId, null]);
        await counter(null, arcId);
    } catch (error) {
        console.log(error);
        await con.query(`UPDATE vn.arcRead SET error = ?, counter = NULL WHERE id = ?;`, [t(error.sqlMessage), arcId]);
    }
};
